Subject: bug#17362: 24.4.50; inconsistent key notation: `ESC' vs `<ESC>'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Apr 2014 21:34:42 +0300

> Date: Tue, 29 Apr 2014 11:12:22 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > I'm not talking about help, I'm only talking about the manual.  The
> > bug report was about inconsistencies in the manual.  At least that's
> > how I perceived it, and that's the only issue I set out to fix.
> 
> Yes, thank you for that.

You are welcome.

> > > > > Seems like that would be a big change from the past and a change
> > > > > from how Emacs itself communicates with users.  AFAIK, Emacs
> > > > > writes <delete> for the Delete key etc.  The rule for function
> > > > > keys and pseudo function keys has always been to use lowercase
> > > > > (in angle brackets), no?
> > > >
> > > > Yes, because they are symbols.  I did nothing about symbols, of
> > > > course.
> > >
> > > What does that mean?
> > 
> > Which part is unclear?
> 
> Apparently you agree that the rule for function keys is lowercase.
> Yet you leave some of them capitalized or uppercase?  And the reason
> is because those that you make lowercase are symbols?

They are symbols used in Lisp code, whereas the other kind are words
used in the user documentation.

> > > Emacs writes <backspace>.  Why write <BACKSPACE>?  Emacs writes
> > > <delete>.  Why write Delete or <Delete>?
> > 
> > See the guidelines I used to decide on names and capitalization, I
> > tried to explain why I choose this or that convention.
> 
> The convention used should be the one that Emacs itself uses to
> write key sequences.

I disagree.  The manual should make it easier for the reader to
identify the keys it talks about.  For that reason, using the keys'
labels is IMO more useful and efficient than using their lowercase
variants.

> > I only fixed inconsistencies in the manual, without any relation to
> > what Emacs says in help mode.
> 
> You fixed only some inconsistencies in the manual, but that is OK
> for this bug report.  It is inconsistent to use <BACKSPACE> sometimes
> and <Backspace> other times, <DELETE> and <Delete>, <left> and <Home>,
> and so on.

There should be only these variants in the manual:

  <BACKSPACE>  <Delete>  <left> <Home>

If you find others, please report them as documentation bugs.  I tried
to fix them all, but maybe I missed some; it is a large manual.